<?php
session_start();
require_once('../Operaciones/Admin_operacion_alt.php');
if(isset($_SESSION['Login'])){
$Id	=$_SESSION['Login'];
}else {
	session_start();
	session_destroy();
	header('location: ../index.php?error=acceso');
}
$Folio=$_POST['Folio'];
$Resul = new Admin_P_Alt();
$Aretes = new Admin_P_Alt();
$dato=$Resul->Busca_Folio($Folio);
$Bandera= (is_null($dato['Ruta']) ? true : false);
$For_Fecha =new Admin_P_Alt();
?>

<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Untitled Document</title>
</head>

<body>
<div id="D_Gen">
  <table width="100%" border="1">
    <tbody><thead>
      <tr>
        <th colspan="2" align="center"><h3>.: Datos generales del Folio :.</h3></th>
      </tr></thead>
      <tr>
        <td>Folio :</td>
        <td><?= $Folio; ?></td>
      </tr>
      <tr>
        <td>Fecha de Emision :</td>
        <td><?= (is_null($dato['Fecha_Emi']) ? '--- --- ---' : $For_Fecha->Cambio_Fecha($dato['Fecha_Emi'],0)); ?></td>
      </tr>
      <tr>
        <td>Fecha de Captura :</td>
        <td><?= (is_null($dato['Fecha_Cap']) ? '--- --- ---' : $For_Fecha->Cambio_Fecha($dato['Fecha_Cap'],0)); ?></td>
      </tr>
      <tr>
        <td>Fecha de Entrega a la UG:</td>
        <td><?= (is_null($dato['Fecha_EntUnion']) ? '--- --- ---' : $For_Fecha->Cambio_Fecha($dato['Fecha_EntUnion'],0)) ; ?></td>
      </tr>
      <tr>
        <td>Fecha de Entrega al Comite:</td>
        <td><?= (is_null($dato['Fecha_EntComite']) ? '--- --- ---' : $For_Fecha->Cambio_Fecha($dato['Fecha_EntComite'],0)) ; ?></td>
      </tr>
      <tr>
        <td>Estado Destino :</td>
        <td><?= $dato['Est_Destino']; ?></td>
      </tr>
      <tr>
        <td>Municipio Destino :</td>
        <td><?= $dato['Mpio_Destino']; ?></td>
      </tr>
      <tr>
        <td>Mercancia :</td>
        <td><?= $dato['Merca']; ?></td>
      </tr>
      <tr>
        <td>Folio Zoosanitario :</td>
        <td><?= $dato['Folio_Zoo']; ?></td>
      </tr>
      <tr>
        <td>Cantidad :</td>
        <td><?= $dato['Cantidad']; ?></td>
      </tr>
      <tr>
        <td>Motivo :</td>
        <td><?= $dato['Descripcion']; ?></td>
      </tr>
      <tr>
        <td>Observaciones :</td>
        <td><?= $dato['Observaciones']; ?></td>
      </tr>
      <tr>
        <td>Status :</td>
        <td><?php $Status =$dato['Act'];
			
			if ($Status==0){
				$Tit_Sta_='Folio No Usado ';
				$Pres_Cancel=true;
				$Pres_Reset=false;
			}elseif($Status==1){
				$Tit_Sta_='Folio Registrado ';
				$Pres_Cancel=true;
				$Pres_Reset=true;
			}elseif($Status==2){
				$Tit_Sta_='Cancelado ';
				$Pres_Cancel=false;
				$Pres_Reset=true;
			}elseif($Status==3){
				$Tit_Sta_='Incompleto ';
				$Pres_Cancel=true;
				$Pres_Reset=true;
			}elseif($Status==5){
				$Tit_Sta_='Folio Cerrado';
				$Pres_Cancel=false;
				$Pres_Reset=false;
			}
			
			
			echo $Tit_Sta_;
			if ($Pres_Reset){
				echo '<button type="button" onClick="Reset_Fol('.$Folio.')" class="Boton">Reset</button>';
			}
			if ($Pres_Cancel){
				echo '- <button type="button" onClick="Cancel_Fol('.$Folio.')" class="Boton">Cancelar</button>';
			}
				
				
	 ?></td>
      </tr>
      <?php 
		if ($Bandera){
     echo '<tr><td></td><td>&nbsp;</td></tr>';
		}else{
		echo '<tr>
		 <td><button type="button" onClick="View_Fol('.$Folio.')" class="Boton">Ver Guia</button></td><td>&nbsp;</td>
      	</tr>';
		}
		$Aretes->Hist_Aretes($Folio); 
     ?> 
    </tbody>
  </table>
	
</div>
</body>
</html>